layui.use(['element', 'form', 'layer', 'carousel'], function(){
    var $ = layui.$;
    var element = layui.element;
    var form = layui.form;
    let layer = layui.layer;
    var editorIndex = null;
    var carousel = layui.carousel;

    // check login
    $.get("/api/user/detail", {}, function(res) {
        if(res.code === 0) {
            $('#header-login').html(`<li class="layui-nav-item"><a href="/account/index">${res.data.user_name}</a></li>
                <li class="layui-nav-item"><a href="/logout">退出</a></li>`);
        }
    }, 'json');
    //评论
    $('.comment-control .item').click(function(e) {
        let that = $(this);
        let parentId = $(this).parent().data('id');
        let parentUser = $(this).parent().data('user');
        let eventType = $(this).data('id');
        if (eventType === 'praise') {
            //赞
            $.ajax({
                url: '/comment/praise',
                method: "post",
                data: {id: parentId},
                dataType: "json",
                success: function (res) {
                    if(res.code === 0) {
                        layer.msg(res.msg, {
                            offset: '15px'
                            ,icon: 1
                            ,time: 1000
                        }, function(){
                            that.find('.vote-count').text(res.data.vote_count)
                            if (res.data.active) {
                                that.addClass('active');
                            } else {
                                that.removeClass('active');
                            }
                        });
                    } else {
                        layer.msg(res.msg);
                    }
                },
                error: function (err) {
                    layer.msg(err);
                }
            });
        } else if (eventType === 'reply') {
            //回复
            $('#parent-id-field').val(parentId);
            $('#comment-content-field').prop('placeholder', '回复：' + parentUser).focus();
        }
    });
    form.on('submit(comment-submit)', function(data){
        if(!data.field.content) {
            return layer.msg("请填写评论内容");
        }
        data.form.submit();
        return false;
    });
    // 菜单点击
    $('.mobile-nav-switch').click(function() {
        if ($(this).find('.layui-icon').hasClass('layui-icon-shrink-right')) {
            // 开
            $(this).find('.layui-icon').removeClass('layui-icon-shrink-right').addClass('layui-icon-spread-left');
            $(this).next('.layui-nav').addClass('mobile-show');
        } else {
            $(this).find('.layui-icon').removeClass('layui-icon-spread-left').addClass('layui-icon-shrink-right');
            $(this).next('.layui-nav').removeClass('mobile-show');
        }
    })
    $('.layui-nav-item').click(function() {
        $(this).parents('.nav-list').removeClass('mobile-show');
        $('.mobile-nav-switch').removeClass('layui-icon-spread-left').addClass('layui-icon-shrink-right');
    })
    //产品图片轮播
    carousel.render({
        elem: '#product-photos'
        ,width: '100%'
        ,height: '380px'
    });

    //展示电话
    $('#show-cellphone').click(function(){
        let cellphone = $(this).data('id')
        layer.alert('电话：'+cellphone);
    });

    //留言提交
    form.on('submit(guestbook-submit)', function(data){
        if(!data.field.user_name && !data.field.contact) {
            return layer.msg("请填写联系方式");
        }
        
        data.form.submit();
        return false;
    })

    // 文章详情目录
    if($('.article-body,.site-content').length) {
        let parentTag = null;
        let deep = 0;
        let contentTpl = '<ul class="content-dir">';
        $('.article-body,.site-content').find("h1,h2,h3,h4,h5,h6").each(function(i, item) {
            let tagLeaf = $(item).prop('tagName').toUpperCase().replace('H', '');
            if (!parentTag) {
                parentTag = tagLeaf
                deep = 0
            }
            if (parentTag > tagLeaf) {
                deep -= parentTag - tagLeaf
            } else if (parentTag < tagLeaf) {
                deep -= parentTag - tagLeaf
                parentTag = tagLeaf
            }
            let titleText = $(item).text();
            let titleId = "content-dir-" + i;
            $(item).attr("id", titleId)

            contentTpl += `<li class="deep-${deep}"><a href="#${titleId}"><cite>${titleText}</cite></a></li>`;
        })
        contentTpl += '</ul>';
        if (parentTag && $(window).width() > 750) {
            layer.open({
                type: 1,
                content: contentTpl,
                skin: 'layui-layer-dir',
                area: 'auto',
                maxHeight: $(window).height() - 300,
                title: '目录',
                closeBtn: false,
                offset: 'r',
                shade: false,
                success: function(layero, index) {
                    layer.style(index, {
                        marginLeft: -15
                    });
                }
            });
            $(document).on('click', '.content-dir>li', function() {
                let othis = $(this);
                othis.addClass('layui-this');
                othis.siblings().removeClass('layui-this');
            });
        }
    }

    var payXhr = false;
    function checkPaid(orderId) {
        payXhr = true;
        $.get("/api/payment/check", {order_id: orderId}, function(res) {
            if(res.code === 0) {
                payXhr = false;
                layer.closeAll();
                // 支付成功
                layer.alert(res.msg, function(){
                    window.location.reload();
                })
            } else {
                if (payXhr) {
                    checkPaid(orderId)
                }
            }
        }, 'json');
    }

    // 订单支付。
    $(document).on('click', ".pay-order", function(){
        layer.load(0);
        let orderId = $(this).data("id");
        $(this).jsonPost({
            data: {
                order_id: orderId,
            },
            action: '/api/order/payment',
            callback: function (res) {
                layer.closeAll();
                if (res.code === 0) {
                    if (res.data.jump_url) {
                        // redirect
                        window.location.open(res.data.jump_url);
                    } else {
                        // show pay qrcode
                        layer.open({
                            title: '请用微信扫码完成支付',
                            btn: null,
                            content: '<div><img src="'+res.data.code_url+'" style="width: 100%;"/></div>',
                            success: function() {
                                checkPaid(orderId);
                            },
                            cancel: function(index, layero){ 
                                payXhr = false;
                                return true;
                            }
                        })
                    }
                } else {
                layer.alert(res.msg);
                }
            },
        });
    })

    form.on("submit(pay-submit)", function(data){
        layer.load(0);
        let fields = $(this).parseForm();
        let payWay = $(this).data('id');
        fields.goods_id = Number(fields.goods_id);
        fields.quantity = Number(fields.quantity);
        $(data.elem).jsonPost({
        data: fields,
        action: '/api/order/create',
        callback: function (res) {
            if (res.code === 0) {
                let orderId = res.data.order_id;
                // 创建订单完了，再继续创建支付信息
                $(data.elem).jsonPost({
                    data: {
                        order_id: orderId,
                        pay_way: payWay,
                    },
                    action: '/api/order/payment',
                    callback: function (res) {
                        layer.closeAll();
                        if (res.code === 0) {
                            if (res.data.jump_url) {
                                // redirect
                                window.location.open(res.data.jump_url);
                            } else {
                                // show pay qrcode
                                layer.open({
                                    title: '请用微信扫码完成支付',
                                    btn: null,
                                    content: '<img src="'+res.data.code_url+'" style="width: 100%;"/>',
                                    success: function() {
                                        checkPaid(orderId);
                                    },
                                    cancel: function(index, layero){ 
                                        payXhr = false;
                                        return true;
                                    }
                                })
                            }
                        } else {
                        layer.alert(res.msg);
                        }
                    },
                    });
            } else {
            layer.load(0);
            layer.alert(res.msg);
            }
        },
        });
        return false;
    });
});