layui.define(function (exports) {
  var $ = layui.$;
  
  //扩展jquery的格式化方法
  $.fn.parseForm = function () {
    var itemForm;
    if($(this).prop("nodeName").toLowerCase() == "form" || $(this).hasClass('.layui-form')) {
      itemForm = $(this)
    } else {
      itemForm = $(this).parents('form,.layui-form');
    }

    var field = {}
    ,fieldElem = itemForm.find('input,select,textarea') // 获取所有表单域
    
    layui.each(fieldElem, function(_, item){ 
      var init_name; // 初始 name
      
      item.name = (item.name || '').replace(/^\s*|\s*&/, '');
      if(!item.name) return;

      if(/^checkbox|radio$/.test(item.type) && !item.checked) return;  // 复选框和单选框未选中，不记录字段
      
      // 用于支持数组 name
      if(/^.*\[\]$/.test(item.name)){
        var key = item.name.match(/^(.*)\[\]$/g)[0];
        if (!field[key]) {
          field[key] = [];
        }
        field[key].push(item.value);
      } else if(item.name.indexOf("[") !== -1 || item.name.indexOf("[") !== -1){
        init_name = item.name.replace("[", ".").replace("]", "");
        init_name = init_name.split(".");
        if (!field[init_name[0]]) {
          field[init_name[0]] = {};
        }
        field[init_name[0]][init_name[1]] = item.value;
      } else {
        field[init_name || item.name] = item.value;
      }
    });
    
    return field;

  };
  // can parseData,
  /**
   *
   * @param {data: {}, action: string, callback: ():void => {}} obj
   */
  $.fn.jsonPost = function (obj = {}) {
    let action = $(this).parents("form,.layui-form").attr("action");
    if (obj.action) {
      action = obj.action;
    }
    $.ajax({
      url: action,
      contentType: "application/json;charset=utf-8",
      data: JSON.stringify(obj.data),
      type: "post",
      dataType: "json",
      async: false,
      success: function (res) {
        if (obj.callback) {
          obj.callback(res);
        } else {
          alert(res.msg);
          if (res.code === 0) {
            window.location.reload();
          }
        }
      },
    }).fail(function (err) {
      alert("提交出错了");
    });
  };

  exports('index', {});
});
