var Template = {
  OrderItem: `<div class="order-item">
  <div class="item-header">
    <div class="order-details">
      <div class="detail-item">
        <div class="logo-cell"><span class="date-time">{{ layui.util.toDateString(d.created_time*1000, 'yyyy-MM-dd') }}</span></div>
        <div class="name-cell"></div>
        <div class="price-cell">单价</div>
        <div class="quantity-cell">数量</div>
      </div>
    </div>
    <div class="order-result">
      <div class="result-cell">商品总价</div>
      <div class="result-cell">交易状态</div>
      <div class="result-cell">交易操作</div>
    </div>
  </div>
  <div class="item-body">
    <div class="order-details">
      {{# layui.each(d.details, function(_, item) { }}
      <div class="detail-item">
        {{# if(item.goods){ }}<img class="logo-cell" src="{{ item.goods.thumb }}" />{{# } }}
        <div class="name-cell">{{# if(item.goods){ }}{{ item.goods.title }}{{# } }}{{# if(item.group){ }}{{ item.group.title }}{{# } }}</div>
        <div class="price-cell">{{ item.price/100 }}</div>
        <div class="quantity-cell">{{ item.quantity }}</div>
      </div>
      {{# }) }}
    </div>
    <div class="order-result">
      <div class="result-cell">{{ d.amount/100 }}</div>
      <div class="result-cell">{{ getStatusText(d.status) }}</div>
      <div class="result-cell">
        {{# if (d.status == 2) { }}<button class="layui-btn">确认收货</button>{{# } }}
        {{# if (d.status == 0) { }}<button class="layui-btn pay-order" data-id="{{d.order_id}}">支付</button>{{# } }}
      </div>
    </div>
  </div>
</div>`,
RetailerOrderItem: `<div class="order-item">
<div class="item-header">
  <div class="order-details">
    <div class="detail-item">
      <div class="logo-cell"><span class="date-time">{{ layui.util.toDateString(d.created_time*1000, 'yyyy-MM-dd') }}</span></div>
      <div class="name-cell"></div>
      <div class="price-cell">单价</div>
      <div class="quantity-cell">数量</div>
    </div>
  </div>
  <div class="order-result">
    <div class="result-cell">商品总价</div>
    <div class="result-cell">交易状态</div>
  </div>
</div>
<div class="item-body">
  <div class="order-details">
    {{# layui.each(d.details, function(_, item) { }}
    <div class="detail-item">
      {{# if(item.goods){ }}<img class="logo-cell" src="{{ item.goods.thumb }}" />{{# } }}
      <div class="name-cell">{{# if(item.goods){ }}{{ item.goods.title }}{{# } }}{{# if(item.group){ }}{{ item.group.title }}{{# } }}</div>
      <div class="price-cell">{{ item.price/100 }}</div>
      <div class="quantity-cell">{{ item.quantity }}</div>
    </div>
    {{# }) }}
  </div>
  <div class="order-result">
    <div class="result-cell">{{ d.amount/100 }}</div>
    <div class="result-cell">{{ getStatusText(d.status) }}</div>
  </div>
</div>
</div>`,
RetailerLevel: `<div class="retailer">
<div class="input-field">
  <div class="label">推广链接：</div>
  <div class="value"><span class="retailer-link">{{ window.location.origin + '/?invite=' + d.invite_code }}</span></div>
</div>
<div class="input-field">
  <div class="label">当前级别：</div>
  <div class="value">{{ d.group.title }}</div>
</div>
<div class="input-field">
  <div class="label">推广提成：</div>
  <div class="value">{{ d.group.setting.share_reward }}%</div>
</div>
<div class="input-field">
  <div class="label">用户折扣：</div>
  <div class="value">{{ d.group.setting.discount/10 }}折</div>
</div>
</div>`,
LastLoginTime: `<span>{{ layui.util.toDateString(d.last_login*1000, "yyyy-MM-dd") }}</span>`,
CreatedTime: `<span>{{ layui.util.toDateString(d.created_time*1000, "yyyy-MM-dd") }}</span>`,
OrderAmount: `<span>{{ layui.util.toDateString(d.order_amount*1000, "yyyy-MM-dd") }}</span>`,
Amount: `<span>{{ layui.util.toDateString(d.Amount, "yyyy-MM-dd") }}</span>`,
CommissionStatus: `<span>{{ d.status == 0 ? '未提现' : d.status == 1 ? '已提现' ; '错误' }}</span>`,
PayWay: `<form class="layui-form" method="post" action="/api/order/create" onsubmit="return false;">
<input type="hidden" name="type" value="{{d.type}}" />
<input type="hidden" name="goods_id" value="{{d.id}}" />
<input type="hidden" name="quantity" value="1" />
<div class="confirm-header">你将要购买的是：<span>{{d.title}}</span></div>
<div class="confirm-meta">
    {{# if(d.favorable_price > 0){ }}
      <div class="meta-item text-del">原价：(d.price/100).toFixed(2)元</div>
      <div class="meta-item">优惠价：<span class="text-red">(d.favorable_price/100).toFixed(2)元</span></div>
    {{# } else { }}
      <div class="meta-item">价格：<span class="text-red">{{(d.price/100).toFixed(2)}}元</span></div>
    {{# } }}
</div>
<div class="pay-way-title"><span>支付方式</span></div>
<div class="pay-way">
    <button class="layui-btn layui-btn-primary" lay-submit lay-filter="pay-submit" data-id="wechat">微信支付</button>
</div>
</form>`,
tmpAlipay: `<button class="layui-btn layui-btn-primary" lay-submit lay-filter="pay-submit" data-id="alipay">支付宝支付</button>`,
VipItem: `<div class="group-item">
<h3 class="name">{{d.title}}</h3>
<div class="description">{{d.description}}</div>
<div class="price">
  {{# if(d.favorable_price > 0){ }}
      <div class="meta-item text-del">原价：(d.price/100).toFixed(2)元</div>
      <div class="meta-item">优惠价：<span class="text-red">(d.favorable_price/100).toFixed(2)元</span></div>
    {{# } else { }}
      <div class="meta-item">价格：<span class="text-red">{{(d.price/100).toFixed(2)}}元</span></div>
    {{# } }}
</div>
<div class="actions">
  <button class="layui-btn order-vip-btn" data-id="{{d.id}}">马上拥有</button>
</div>
</div>`,
  DesignItem: `<li class="layui-col-sm6">
      <a href="{{d.link}}" class="template-info">
          <div class="thumb">
              <div class="pc-thumb">
                  <img alt="{{d.title}}" src="{{d.images[0]}}" />
              </div>
              <div class="mobile-thumb">
                  <div><img alt="{{d.title}}" src="{{d.images[1]}}" /></div>
              </div>
          </div>
          <div class="layout">
              <h5 class="name">{{d.title}}<span class="price">{{# if (d.price == 0){ }}免费{{# }else { }}{{d.price/100}}{{# } }}</span></h5>
              <div class="desc">{{d.description}}</div>
          </div>
      </a>
  </li>`,
};